org.codehaus.plexus.compiler.util

## Class StreamPumper

- java.lang.Object
- - java.lang.Thread
  - - org.codehaus.plexus.compiler.util.StreamPumper

All Implemented Interfaces:
  Runnable

    public class StreamPumper
    extends Thread

Author:
  Jason van Zyl

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`StreamPumper(BufferedInputStream is, OutputStream out)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `pumpStream()`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamPumper

    public StreamPumper(BufferedInputStream is,
                        OutputStream out)

### Method Detail

#### pumpStream

    public void pumpStream()
                    throws IOException

Throws:
  `IOException`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`